/*
 * Note: this file originally auto-generated by mib2c using
 *       version $ of $
 *
 * $Id:$
 */
#ifndef DOT1QTPFDBTABLE_DATA_ACCESS_H
#define DOT1QTPFDBTABLE_DATA_ACCESS_H

#ifdef __cplusplus
extern "C" {
#endif


/* *********************************************************************
 * function declarations
 */

/* *********************************************************************
 * Table declarations
 */
/**********************************************************************
 **********************************************************************
 ***
 *** Table dot1qTpFdbTable
 ***
 **********************************************************************
 **********************************************************************/
/*
 * Q-BRIDGE-MIB::dot1qTpFdbTable is subid 2 of dot1qTp.
 * Its status is Current.
 * OID: .1.3.6.1.2.1.17.7.1.2.2, length: 11
*/


    int dot1qTpFdbTable_init_data(dot1qTpFdbTable_registration * dot1qTpFdbTable_reg);


    /*
     * TODO:180:o: Review dot1qTpFdbTable cache timeout.
     * The number of seconds before the cache times out
     */
#define DOT1QTPFDBTABLE_CACHE_TIMEOUT   60

void dot1qTpFdbTable_container_init(netsnmp_container **container_ptr_ptr,
                             netsnmp_cache *cache);
void dot1qTpFdbTable_container_shutdown(netsnmp_container *container_ptr);

int dot1qTpFdbTable_container_load(netsnmp_container *container);
void dot1qTpFdbTable_container_free(netsnmp_container *container);

int dot1qTpFdbTable_cache_load(netsnmp_container *container);
void dot1qTpFdbTable_cache_free(netsnmp_container *container);

    int dot1qTpFdbTable_row_prep( dot1qTpFdbTable_rowreq_ctx *rowreq_ctx);



#ifdef __cplusplus
}
#endif

#endif /* DOT1QTPFDBTABLE_DATA_ACCESS_H */
